View Issue Details

IDProjectCategoryView StatusLast Update
00311992.x IDE BugsObject EditorPublic2019-08-30 14:48
ReporterMatthew McInnesAssigned ToSteven Campbell 
PriorityVery HighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031199: Object Editor: Default event comment is not displayed despite checkbox being ticked in Preferences
DescriptionISSUE:

- Default event content is not displayed despite checkbox being ticked in preferences

EXPECTED:

- Default event content should be displayed
Steps To Reproduce1) Preform a fresh install of latest red IDE v9.2.1.1885 RUNTIME v9.9.1.1504
2) Create project
3) Add an object and add create event
4) Observe empty code edtor
5) Open preferences and click on object editor
6) Observe that 'add default event content' is ticked, and contains content
TagsIDE, thatsit
2.x IDE Found In9.2.1.1885
2.x Runtime Found In9.9.1.1504
2.x IDE Verified In9.2.1.1944
2.x Runtime Verified In9.9.1.1529

Activities

Matthew McInnes

2019-07-18 12:12

Developer  

Dan

2019-07-18 14:33

Adminstrator   ~0064461

Last edited: 2019-07-18 14:35

View 2 revisions

Someone has also seemingly silently removed that comment text from the default settings (or, failing that, the Restore Defaults button doesn't read the default in properly), as even in 2.2.3 if you click Restore Defaults it will wipe that text field.

Will need to confirm, but I suspect new users are currently not seeing this comment at all, whilst existing users have their Preference value set already, so no-one is aware there is an issue.

Steven Campbell

2019-08-12 12:08

Manager   ~0064539

Fixed in Red IDE/GitHub Pull Request 4779
Git Id: 1816829b2e8ef8f5d49b18ad32b05a9b14ab3cdc
Additional: 35e6fab76d65bb30752fe515b644aa013cd43b2f

Matthew McInnes

2019-08-16 15:41

Developer   ~0064568

Closing. Verified as fixed in:

IDE v9.2.1.1944 Runtime v9.9.1.1529